package ovh.herisson.Clyde.Repositories;

import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.Token;
import ovh.herisson.Clyde.Tables.User;

import java.util.ArrayList;

public interface TokenRepository extends CrudRepository<Token,Long> {

    Token getByToken(String token);

    Iterable<Token> getByUser(User user);

    ArrayList <Token> getByUserOrderByExpirationDate(User user);
}
